Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsa
Class OutgoingAddressingHeaders

    java.lang.Object
      com.atomikos.icatch.jaxb.wsa.OutgoingAddressingHeaders

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OutgoingAddressingHeaders

    public abstract class OutgoingAddressingHeaders

extends Object
implements Serializable

Copyright © 2005-2009, Atomikos. All rights reserved. A utility for easy manipulation of outgoing addressing data. When an outgoing message should contain addressing data for replying, here is where the relevant parameters can be configured. This class also minimizes application dependencies on specific versions of WSA. The existence of configured and version-specific WSA handlers is necessary for this design to work correctly.

See Also:
  Serialized Form

Constructor Summary
`protected` | `OutgoingAddressingHeaders()`

Method Summary
`String` | `getAction()`
`String` | `getFaultTo()`
`String` | `getFaultToTarget()`
`String` | `getMessageId()`
`String` | `getReplyTo()`
`String` | `getReplyToTarget()`
`abstract String` | `getTo()`
`abstract void` | `insertIntoRequestContext(javax.xml.ws.BindingProvider bp)` Adds the configured data to the context or the given provider.
`void` | `setAction(String uri)` Sets the mandatory action URI for the message.
`void` | `setFaultTo(String uri)` Sets the value of the faultTo address header.
`void` | `setFaultToTarget(String uri)` Inserts a reference property that indicates the local targetURI on this side.
`void` | `setMessageId(String id)` Inserts a message ID conform the WS-A specification.
`void` | `setReplyTo(String uri)` Sets the value of the replyTo address header.
`void` | `setReplyToTarget(String uri)` Inserts a reference property that indicates the local target URI on this side.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutgoingAddressingHeaders

    protected OutgoingAddressingHeaders()

Method Detail

### setReplyTo

    public void setReplyTo(String uri)

  Sets the value of the replyTo address header.

  Parameters:
    `uri` -

### setReplyToTarget

    public void setReplyToTarget(String uri)

  Inserts a reference property that indicates the local target URI on this side. This allows the same port to be used for different target entities.

  Parameters:
    `uri` -

### setFaultTo

    public void setFaultTo(String uri)

  Sets the value of the faultTo address header.

  Parameters:
    `uri` -

### setFaultToTarget

    public void setFaultToTarget(String uri)

  Inserts a reference property that indicates the local targetURI on this side. This allows the same port to be used for different target entities.

  Parameters:
    `uri` -

### setMessageId

    public void setMessageId(String id)

  Inserts a message ID conform the WS-A specification. This message ID should be used by the remote party when replying to this message.

  Parameters:
    `id` -

### setAction

    public void setAction(String uri)

  Sets the mandatory action URI for the message.

  Parameters:
    `uri` -

### getFaultTo

    public String getFaultTo()

### getFaultToTarget

    public String getFaultToTarget()

### getReplyTo

    public String getReplyTo()

### getReplyToTarget

    public String getReplyToTarget()

### getMessageId

    public String getMessageId()

### getAction

    public String getAction()

### getTo

    public abstract String getTo()

### insertIntoRequestContext

    public abstract void insertIntoRequestContext(javax.xml.ws.BindingProvider bp)
                                           throws javax.xml.soap.SOAPException

  Adds the configured data to the context or the given provider.

  Parameters:
    `ctx` -
  Throws:
    `javax.xml.soap.SOAPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.